<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
<!-- 	<typeAlias alias="Lqjqtjxxbean" type="cn.vp.XXX.model.LqjqtjxxBean"/> -->	
		<typeAlias alias="Lqjqtjxx" type="cn.im.lqzh.LqjqtjxxBean"/>
	
	<sql id="condition_Lqjqtjxx">
		where 1=1
		<isNotEmpty prepend='AND ' property='LIKEtjbh'>
			(tjbh like concat('%',#LIKEtjbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='tjbh'>
			(tjbh = #tjbh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEtjyf'>
			(tjyf like concat('%',#LIKEtjyf# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='tjyf'>
			(tjyf = #tjyf# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEtjrq'>
			(tjrq like concat('%',#LIKEtjrq# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='tjrq'>
			(tjrq = #tjrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEtjsj'>
			(tjsj like concat('%',#LIKEtjsj# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='tjsj'>
			(tjsj = #tjsj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEjqlx'>
			(jqlx like concat('%',#LIKEjqlx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='jqlx'>
			(jqlx = #jqlx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEjqdl'>
			(jqdl like concat('%',#LIKEjqdl# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='jqdl'>
			(jqdl = #jqdl# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEjqxl'>
			(jqxl like concat('%',#LIKEjqxl# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='jqxl'>
			(jqxl = #jqxl# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEjqzt'>
			(jqzt like concat('%',#LIKEjqzt# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='jqzt'>
			(jqzt = #jqzt# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEbmbh'>
			(bmbh like concat('%',#LIKEbmbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='bmbh'>
			(bmbh = #bmbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEbmmc'>
			(bmmc like concat('%',#LIKEbmmc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='bmmc'>
			(bmmc = #bmmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEtjsl'>
			(tjsl like concat('%',#LIKEtjsl# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='tjsl'>
			(tjsl = #tjsl# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcjry'>
			(cjry like concat('%',#LIKEcjry# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='cjry'>
			(cjry = #cjry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcjrq'>
			(cjrq like concat('%',#LIKEcjrq# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='cjrq'>
			(cjrq = #cjrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExgry'>
			(xgry like concat('%',#LIKExgry# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xgry'>
			(xgry = #xgry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExgrq'>
			(xgrq like concat('%',#LIKExgrq# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xgrq'>
			(xgrq = #xgrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEbz'>
			(bz like concat('%',#LIKEbz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='bz'>
			(bz = #bz# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Lqjqtjxx" parameterClass="java.util.Map">
		insert into 
		lqjqtjxx(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='tjbh'>tjbh</isNotEmpty>
			<isNotEmpty prepend=',' property='tjyf'>tjyf</isNotEmpty>
			<isNotEmpty prepend=',' property='tjrq'>tjrq</isNotEmpty>
			<isNotEmpty prepend=',' property='tjsj'>tjsj</isNotEmpty>
			<isNotEmpty prepend=',' property='jqlx'>jqlx</isNotEmpty>
			<isNotEmpty prepend=',' property='jqdl'>jqdl</isNotEmpty>
			<isNotEmpty prepend=',' property='jqxl'>jqxl</isNotEmpty>
			<isNotEmpty prepend=',' property='jqzt'>jqzt</isNotEmpty>
			<isNotEmpty prepend=',' property='bmbh'>bmbh</isNotEmpty>
			<isNotEmpty prepend=',' property='bmmc'>bmmc</isNotEmpty>
			<isNotEmpty prepend=',' property='tjsl'>tjsl</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='tjbh'>#tjbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='tjyf'>#tjyf#</isNotEmpty>
			<isNotEmpty prepend=',' property='tjrq'>#tjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='tjsj'>#tjsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqlx'>#jqlx#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqdl'>#jqdl#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqxl'>#jqxl#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqzt'>#jqzt#</isNotEmpty>
			<isNotEmpty prepend=',' property='bmbh'>#bmbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='bmmc'>#bmmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='tjsl'>#tjsl#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>#bz#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Lqjqtjxx" parameterClass="java.util.Map">
		update lqjqtjxx 
		<dynamic prepend="set ">   
			
			<isNotEmpty prepend=',' property='tjyf'>tjyf=#tjyf#</isNotEmpty>
			<isNotEmpty prepend=',' property='tjrq'>tjrq=#tjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='tjsj'>tjsj=#tjsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqlx'>jqlx=#jqlx#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqdl'>jqdl=#jqdl#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqxl'>jqxl=#jqxl#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqzt'>jqzt=#jqzt#</isNotEmpty>
			<isNotEmpty prepend=',' property='bmbh'>bmbh=#bmbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='bmmc'>bmmc=#bmmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='tjsl'>tjsl=#tjsl#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry=#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq=#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry=#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq=#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz=#bz#</isNotEmpty>

		</dynamic>
		where 1=1 
			<isNotEmpty prepend='AND ' property='XGTJtjbh'> tjbh = #XGTJtjbh#</isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJtjyf'> tjyf = #XGTJtjyf# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJtjrq'> tjrq = #XGTJtjrq# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJtjsj'> tjsj = #XGTJtjsj# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJjqlx'> jqlx = #XGTJjqlx# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJjqdl'> jqdl = #XGTJjqdl# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJjqxl'> jqxl = #XGTJjqxl# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJjqzt'> jqzt = #XGTJjqzt# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJbmbh'> bmbh = #XGTJbmbh# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJbmmc'> bmmc = #XGTJbmmc# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJtjsl'> tjsl = #XGTJtjsl# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJcjry'> cjry = #XGTJcjry# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJcjrq'> cjrq = #XGTJcjrq# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJxgry'> xgry = #XGTJxgry# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJxgrq'> xgrq = #XGTJxgrq# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJbz'> bz = #XGTJbz# </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Lqjqtjxx" parameterClass="java.util.Map">
		delete from lqjqtjxx 
		<include refid="condition_Lqjqtjxx"/>
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Lqjqtjxx" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			tjbh,tjyf,tjrq,tjsj,jqlx,jqdl,jqxl,jqzt,bmbh,bmmc,tjsl,cjry,cjrq,xgry,xgrq,bz
		from lqjqtjxx 
		<include refid="condition_Lqjqtjxx"/>
		<isNotEmpty prepend=' ' property='start'>
			limit #start# ,#limit#
		</isNotEmpty>
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Lqjqtjxx" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from lqjqtjxx 
		<include refid="condition_Lqjqtjxx"/>			
	</select>
	
</sqlMap>











